import { ref } from 'vue'

export const operators = ['+', '-', 'x', '/'] as const

export const pools = {
  1: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 25],
  2: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 25, 50, 75],
  3: [
    1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 25, 50, 75,
    100,
  ],
  4: [2, 2, 3, 3, 5, 5, 7, 11, 13, 17, 19, 23],
} as const

export enum GameState {
  Undefined = 0,
  Waiting = 1,
  Loading = 2,
  Playing = 3,
}

export const gameState = ref(GameState.Undefined)
